PXLOG(1)

NAME
pxlog - manual page for pxlog 1.1

SYNOPSIS
pxlog [OPTIONS]...

DESCRIPTION
MCMC log file manipulator. Can combine and resample parameters or trees across files. Log files need not contain the same number of samples. Input files may be indicated using wildcards e.g. '*.trees' Parameter log files are expected to be whitespace delimited. *NOTE* All values are in terms of number of SAMPLES (NOT generations).

OPTIONS

-p, --parmf=FILE
    input parameter log file(s)

-t, --treef=FILE
    input tree log file(s)

-o, --outf=FILE
    output file, STOUT otherwise

-b, --burnin=INT
    number of samples to exclude at the beginning of a file

-n, --thin=INT
    interval of resampling

-r, --rand=INT
    number of random samples (without replacement) not yet implemented!

-i, --info
    calculate log file attributes and exit

-c, --columns
    print out column names (parameter logs only)

-d, --delete=CSL
    delete columns by 1-index sep by commas (NO SPACES!) (parameter logs only)

-k, --keep=CSL
    keep only columns by 1-index sep by commas (NO SPACES!) (parameter logs only)

-x, --seed=INT
    random number seed, clock otherwise

-v, --verbose
    make the output more verbose

-h, --help
    display this help and exit

-V, --version
    display version and exit

-C, --citation
    display phyx citation and exit

CITATION
Brown, Joseph W., Joseph F. Walker, and Stephen A. Smith. 2017. Phyx: phylogenetic tools for unix. Bioinformatics 33(12), 1886-1888.

AUTHOR
Written by Joseph W. Brown

REPORTING BUGS
Report bugs to: <https://github.com/FePhyFoFum/phyx/issues> phyx home page: <https://github.com/FePhyFoFum/phyx>

COPYRIGHT
Copyright © 2016-2020 FePhyFoFum License GPLv3